package cn.bunny.pattern5.demo2.command;

import cn.bunny.pattern5.demo2.Cook;

/**
 * 命名的抽象，可以提供具体的厨师
 */
public abstract class Command {
    protected Cook cook;

    public Command(Cook cook) {
        this.cook = cook;
    }

    /**
     * 命名的执行方法，对具体进行处理
     */
    public abstract void execute();
}
